Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/constraints/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"userId": "<string>",
"text": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
text: '<string>',
enabled: true,
createdAt: '<unknown>',
updatedAt: '<unknown>'
})
};
fetch('https://aquila.attaxr.com/api/constraints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/constraints/{id}"
payload = {
"userId": "<string>",
"text": "<string>",
"enabled": True,
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"text": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Constraints
Update a resource (partial)
Partial merge update; id and userId in the body are ignored (owner scoping comes from the session).
PUT
/
api
/
constraints
/
{id}
Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/constraints/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"userId": "<string>",
"text": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
text: '<string>',
enabled: true,
createdAt: '<unknown>',
updatedAt: '<unknown>'
})
};
fetch('https://aquila.attaxr.com/api/constraints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/constraints/{id}"
payload = {
"userId": "<string>",
"text": "<string>",
"enabled": True,
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"text": "<string>",
"enabled": true,
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Body
application/json

